WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Extensions from 4.x repo verified ok with tc-5  (Read 39225 times)

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2341
Extensions from 4.x repo verified ok with tc-5
« on: September 15, 2013, 09:44:28 PM »
rsync.tcz

and deps

popt.tcz


function as advertised

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #1 on: September 15, 2013, 10:22:23 PM »
As chance would have it, I'd just copied over popt - rsync copied/posted

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2341
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #2 on: September 15, 2013, 11:27:18 PM »
Cool,  but what a coincidence.




Well how about   xzgv.tcz.   ? 

Which works as advertised with a corrected dep file.

I really like the lightweight image viewer app, though its heavy on deps.  however most deps are already listed as deps of Xorg so it's maybe not so heavy after all.

Anyhow, the dep list for xzgv.tcz needs some attention




gordonselfish

  • Guest
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #3 on: September 16, 2013, 01:33:14 AM »
Juanito

do you want me to copy and paste my vlc stuff from over there to here
http://forum.tinycorelinux.net/index.php/topic,15894.0.html

all the dependencies are good except 2 to modify and no gui but cli works as expected
---you will find a bucket load of dependencies when you copy over the av* stuff

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #4 on: September 16, 2013, 02:26:34 AM »
Hmm - so we're saying that the vlc cli works, but not the vlc gui

The problem is that if I copy vlc over then users are going to point out that it is broken..

Maybe you could pm the qt-4 maintainer to see if they could recompile on tc-5.x?

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #5 on: September 16, 2013, 04:34:28 AM »
xzgv posted

gordonselfish

  • Guest
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #6 on: September 16, 2013, 04:44:18 AM »
Juanito

will do but how about a compromise? don't load vlc --or qt* so no bug reports
but upload all dependencies showing ---plus the not showing in dep files?
that way we can get all the avutil/avcodec/avformat  etc in 5.x?


gordonselfish

  • Guest
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #7 on: September 16, 2013, 06:10:51 AM »
Juanito

Not all tests done but it looks safe to import weechat.tcz
the dependency has a number of 5.x already so you are importing weechat.tcz and one dependency gnutls2

Test of weechat-scripts was for aspell function only.....still good....red text appears as you type wrong spelling words

not tested locale but it and doc etc should be ok as is

cheers

PS weechat is still a secure version according to upstream site

DRAT the wbar icon appears but does not work

AAAH its because 5.x does not have aterm on by default (and I use lxterminal by default)

so weechat needs new dep list please of

Quote
ncursesw.tcz
gnutls2.tcz
curl.tcz
libiconv.tcz
aspell.tcz
aterm.tcz
« Last Edit: September 16, 2013, 06:24:41 AM by gordonselfish »

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 332
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #8 on: September 16, 2013, 06:27:40 AM »
Juanito,

for me works OK bmpanel.tcz and bmpanel-themes.tcz in tc-5

 :D

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #9 on: September 16, 2013, 06:30:46 AM »
Is it weechat itself which has the dep on gnutls2?

The reason I ask is that I'd rather not copy old libs into the tc-5.x repo if it could be avoided.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #10 on: September 16, 2013, 06:49:15 AM »
for me works OK bmpanel.tcz and bmpanel-themes.tcz in tc-5

posted

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #11 on: September 16, 2013, 07:12:17 AM »
will do but how about a compromise? don't load vlc --or qt* so no bug reports
but upload all dependencies showing ---plus the not showing in dep files?
that way we can get all the avutil/avcodec/avformat  etc in 5.x?

libass, enca, recode, fribidi and libproxy and devs copied - I suggest vlc needs to be compiled against v-1.x of libavcodec and friends

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 332
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #12 on: September 16, 2013, 07:47:35 AM »
Another that works OK is truecrypt.tcz with his .dep file

Remember 4 steps:
- add in the boots parameters  -->  loop.max_loop=256
- add to /etc/group  -->  truecrypt:x:1100:tc
- add to /etc/sudoers  -->  %truecrypt ALL=(root) NOPASSWD: /usr/local/bin/truecrypt
- add to /opt/.filetool.lst  --> etc/group
                                            etc/sudoers
- reboot

hope helps.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9061
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #13 on: September 16, 2013, 08:15:10 AM »
truecrypt posted

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 332
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #14 on: September 16, 2013, 08:34:12 AM »
Thanks Juanito!

But it must be added to truecrypt.tcz.dep the lvm2.tcz dependence

truecrypt.tcz.dep:
Quote
fuse.tcz
gtk2.tcz
lvm2.tcz

I have forgotten it.  :-[